Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq
Class FileSystem

    java.lang.Object
      net.sf.dropboxmq.FileSystem

    public class FileSystem

extends Object

Created: 02 Sep 2006

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz

Nested Class Summary
`static class` | `FileSystem.FileSystemException`
`static class` | `FileSystem.SourceNotFoundException`

Constructor Summary
`FileSystem()`

Method Summary
`void` | `copy(File source, File target)`
`boolean` | `createNewFile(File file, boolean deleteOnExit)`
`void` | `delete(File file)`
`boolean` | `exists(File file)`
`void` | `mkdirs(File directory)`
`void` | `move(File source, File target)`
`InputStream` | `newBufferedInputStream(File file)`
`OutputStream` | `newBufferedOutputStream(File file)`
`BufferedReader` | `newBufferedReader(File file)`
`BufferedWriter` | `newBufferedWriter(File file)`
`boolean` | `readPropertiesFile(File propertiesFile, Properties properties)`
`protected String` | `toObjectString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystem

    public FileSystem()

Method Detail

### newBufferedInputStream

    public InputStream newBufferedInputStream(File file)
                                       throws IOException

  Throws:
    `IOException`

### newBufferedOutputStream

    public OutputStream newBufferedOutputStream(File file)
                                         throws IOException

  Throws:
    `IOException`

### newBufferedReader

    public BufferedReader newBufferedReader(File file)
                                     throws IOException

  Throws:
    `IOException`

### newBufferedWriter

    public BufferedWriter newBufferedWriter(File file)
                                     throws IOException

  Throws:
    `IOException`

### exists

    public boolean exists(File file)

### mkdirs

    public void mkdirs(File directory)
                throws FileSystem.FileSystemException

  Throws:
    `FileSystem.FileSystemException`

### createNewFile

    public boolean createNewFile(File file,
                                 boolean deleteOnExit)
                          throws FileSystem.FileSystemException

  Throws:
    `FileSystem.FileSystemException`

### copy

    public void copy(File source,
                     File target)
              throws FileSystem.FileSystemException

  Throws:
    `FileSystem.FileSystemException`

### move

    public void move(File source,
                     File target)
              throws FileSystem.FileSystemException

  Throws:
    `FileSystem.FileSystemException`

### delete

    public void delete(File file)
                throws FileSystem.FileSystemException

  Throws:
    `FileSystem.FileSystemException`

### readPropertiesFile

    public boolean readPropertiesFile(File propertiesFile,
                                      Properties properties)

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD